PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::solvers::FermiNew::GainSpectrum< GeometryT > Struct Template Reference

Cached gain spectrum. More...

`#include <solvers/gain/wasiak/ferminew.hpp>`

Collaboration diagram for plask::solvers::FermiNew::GainSpectrum< GeometryT >:
[legend]

## Public Member Functions
| GainSpectrum (FermiNewGainSolver< GeometryT > *solver, const Vec< 2 > point)
| GainSpectrum (const GainSpectrum &orig)
| GainSpectrum (GainSpectrum &&orig)=default
void | onTChange (ReceiverBase &, ReceiverBase::ChangeReason)
void | onNChange (ReceiverBase &, ReceiverBase::ChangeReason)
| ~GainSpectrum ()
Tensor2< double > | getGain (double wavelength)
| Get gain at given wavelength.

## Public Attributes
FermiNewGainSolver< GeometryT > * | solver
| Source solver.
Vec< 2 > | point
| Point in which the gain is calculated.
size_t | reg
| Active region containing the point.
double | T
| Temperature.
double | n
| Carriers concentration.
unique_ptr< Levels > | levels
| Computed energy levels.
std::unique_ptr< kubly::wzmocnienie > | gMod

## Detailed Description

template<typename GeometryT>
struct plask::solvers::FermiNew::GainSpectrum< GeometryT >

Cached gain spectrum.

Definition at line 392 of file ferminew.hpp.

## Constructor & Destructor Documentation

## ◆ GainSpectrum() [1/3]

template<typename GeometryT >

plask::solvers::FermiNew::GainSpectrum< GeometryT >::GainSpectrum | ( | FermiNewGainSolver< GeometryT > * | solver,
|  | const Vec< 2 > | point
| ) |  |

Definition at line 941 of file ferminew.cpp.

## ◆ GainSpectrum() [2/3]

template<typename GeometryT >

plask::solvers::FermiNew::GainSpectrum< GeometryT >::GainSpectrum | ( | const GainSpectrum< GeometryT > & | orig | ) |
| inline

Definition at line 406 of file ferminew.hpp.

## ◆ GainSpectrum() [3/3]

template<typename GeometryT >

plask::solvers::FermiNew::GainSpectrum< GeometryT >::GainSpectrum | ( | GainSpectrum< GeometryT > && | orig | ) |
| default

## ◆ ~GainSpectrum()

template<typename GeometryT >

plask::solvers::FermiNew::GainSpectrum< GeometryT >::~GainSpectrum | ( |  | ) |
| inline

Definition at line 418 of file ferminew.hpp.

## Member Function Documentation

## ◆ getGain()

template<typename GeometryT >

Tensor2< double > plask::solvers::FermiNew::GainSpectrum< GeometryT >::getGain | ( | double | wavelength | ) |

Get gain at given wavelength.

Parameters

  wavelength | wavelength to get gain

Returns
  gain

Definition at line 955 of file ferminew.cpp.

## ◆ onNChange()

template<typename GeometryT >

void plask::solvers::FermiNew::GainSpectrum< GeometryT >::onNChange | ( | ReceiverBase & | ,
|  | ReceiverBase::ChangeReason |
| ) |  |
| inline

Definition at line 414 of file ferminew.hpp.

## ◆ onTChange()

template<typename GeometryT >

void plask::solvers::FermiNew::GainSpectrum< GeometryT >::onTChange | ( | ReceiverBase & | ,
|  | ReceiverBase::ChangeReason |
| ) |  |
| inline

Definition at line 410 of file ferminew.hpp.

## Member Data Documentation

## ◆ gMod

template<typename GeometryT >

std::unique_ptr<kubly::wzmocnienie> plask::solvers::FermiNew::GainSpectrum< GeometryT >::gMod

Definition at line 402 of file ferminew.hpp.

## ◆ levels

template<typename GeometryT >

unique_ptr<Levels> plask::solvers::FermiNew::GainSpectrum< GeometryT >::levels

Computed energy levels.

Definition at line 401 of file ferminew.hpp.

## ◆ n

template<typename GeometryT >

double plask::solvers::FermiNew::GainSpectrum< GeometryT >::n

Carriers concentration.

Definition at line 400 of file ferminew.hpp.

## ◆ point

template<typename GeometryT >

Vec<2> plask::solvers::FermiNew::GainSpectrum< GeometryT >::point

Point in which the gain is calculated.

Definition at line 394 of file ferminew.hpp.

## ◆ reg

template<typename GeometryT >

size_t plask::solvers::FermiNew::GainSpectrum< GeometryT >::reg

Active region containing the point.

Definition at line 397 of file ferminew.hpp.

## ◆ solver

template<typename GeometryT >

FermiNewGainSolver<GeometryT>* plask::solvers::FermiNew::GainSpectrum< GeometryT >::solver

Source solver.

Definition at line 393 of file ferminew.hpp.

## ◆ T

template<typename GeometryT >

double plask::solvers::FermiNew::GainSpectrum< GeometryT >::T

Temperature.

Definition at line 399 of file ferminew.hpp.

The documentation for this struct was generated from the following files:

- solvers/gain/wasiak/ferminew.hpp
- solvers/gain/wasiak/ferminew.cpp